<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/entities/houses/land_lighthouse.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dea/a02585_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">land_lighthouse.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dea/a02585.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * Land_Lighthouse.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>Land_Lighthouse <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d1d/a05370.html">House</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{<span class="comment"></span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    //! Expansion reference to point light class</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"></span>    <span class="keyword">protected</span> ScriptedLightBase <a class="code hl_variable" href="../../d8/d1d/a05370.html#a8aae03dd3028040665aed574ca279661">m_Light</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a67ed5b891e7725d893eeb0f3cbd5cbb8">   18</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d8/d1d/a05370.html#a67ed5b891e7725d893eeb0f3cbd5cbb8">m_CanBeEnabled</a>; <span class="comment">// setting</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#ae630235282368d4185ac7f0e80ec4df5">   19</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d8/d1d/a05370.html#ae630235282368d4185ac7f0e80ec4df5">m_ShouldBeEnabled</a>; <span class="comment">// setting</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#aac89f800eebc830a55691baeff791346">   20</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d8/d1d/a05370.html#aac89f800eebc830a55691baeff791346">m_CastShadows</a>; <span class="comment">// setting</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a89cc2968d74b9abd24c4fb30b2239a0d">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a89cc2968d74b9abd24c4fb30b2239a0d">Land_Lighthouse</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef SERVER</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral(<span class="keyword">false</span>).<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>())</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater( OnSettingsUpdated, 1000 );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Destructor</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a71f3f9ef3e72b4e50b1e92f0e50260f3">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a71f3f9ef3e72b4e50b1e92f0e50260f3">~Land_Lighthouse</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> ( GetGame() &amp;&amp; <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            GetGame().ObjectDelete( <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// OnSettingsUpdated</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#aa90b369b783d0d3272ade20b6eca1b28">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#aa90b369b783d0d3272ade20b6eca1b28">OnSettingsUpdated</a>()   </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d5c/a00752.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().CastLightShadows )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                m_CastShadows = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                m_CastShadows = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().EnableLighthouses )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                m_ShouldBeEnabled = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                m_CanBeEnabled = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                m_CanBeEnabled = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">if</span> ( m_ShouldBeEnabled &amp;&amp; m_CanBeEnabled )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                <a class="code hl_function" href="../../d8/d1d/a05370.html#ad88caf93f44b81f55276800fb5728cbe">OnEnable</a>();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            } </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <a class="code hl_function" href="../../d8/d1d/a05370.html#a489a89edc611285ac7ff11abff88656a">OnDisable</a>();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">// GetLampPosition</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#af3df8d94fa7a96d3fde6a8bd3ea87908">   90</a></span>    vector <a class="code hl_function" href="../../d8/d1d/a05370.html#af3df8d94fa7a96d3fde6a8bd3ea87908">GetLampPosition</a>()</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">return</span> GetMemoryPointPos( <span class="stringliteral">&quot;cerveny pozicni blik&quot;</span> );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// Expansion Enable</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a6f6623c49b5808ba4b8566ceeb74672d">   98</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a6f6623c49b5808ba4b8566ceeb74672d">Enable</a>( vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>, <span class="stringliteral">&quot;&quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        m_ShouldBeEnabled = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_function" href="../../d8/d1d/a05370.html#ad88caf93f44b81f55276800fb5728cbe">OnEnable</a>();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#ad88caf93f44b81f55276800fb5728cbe">  107</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#ad88caf93f44b81f55276800fb5728cbe">OnEnable</a>()</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d1d/a05370.html#a76e959f56434e3ce18366e6ec7e0ba35">IsEnabled</a>() &amp;&amp; m_CanBeEnabled )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                {</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> = ScriptedLightBase.CreateLight( <a class="code hl_class" href="../../d8/d84/a00001.html#d2/d37/a08354">ExpansionLighthouse</a>, <span class="stringliteral">&quot;0 0 0&quot;</span> );</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                    <span class="comment">//vector colorRGB = Vector( 1.0, 1.0, 0.8 );</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                    <span class="comment">//m_Light.SetDiffuseColor( colorRGB[0], colorRGB[1], colorRGB[2] );</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                    <span class="comment">//m_Light.SetAmbientColor( colorRGB[0], colorRGB[1], colorRGB[2] );</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetRadiusTo( 500 );</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetBrightnessTo( 0.8 );</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.FadeIn(0.3);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                    <span class="keywordflow">if</span> ( m_CastShadows )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                        <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetCastShadow(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                        <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetFlareVisible(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>                    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                    {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                        <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetCastShadow(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                        <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetFlareVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.AttachOnObject( <span class="keyword">this</span>, <a class="code hl_function" href="../../d8/d1d/a05370.html#af3df8d94fa7a96d3fde6a8bd3ea87908">GetLampPosition</a>(), <span class="stringliteral">&quot;0 0 0&quot;</span> );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                    <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetEnabled( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    <span class="comment">// Expansion Disable</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a57884046aacb16d6c89215432c33a50c">  147</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a57884046aacb16d6c89215432c33a50c">Disable</a>( vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>, <span class="stringliteral">&quot;&quot;</span> + <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        m_ShouldBeEnabled = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <a class="code hl_function" href="../../d8/d1d/a05370.html#a489a89edc611285ac7ff11abff88656a">OnDisable</a>();</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a489a89edc611285ac7ff11abff88656a">  156</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a489a89edc611285ac7ff11abff88656a">OnDisable</a>()</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../d7/dc9/a04370.html">EXTrace</a>.<a class="code hl_function" href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(ExpansionTracing.LIGHTHOUSE, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.FadeOut(0.3);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.SetEnabled( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    <span class="comment">// Expansion IsEnabled</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a76e959f56434e3ce18366e6ec7e0ba35">  173</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a76e959f56434e3ce18366e6ec7e0ba35">IsEnabled</a>()</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a> &amp;&amp; <a class="code hl_variable" href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a>.IsEnabled() )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d8/d1d/a05370.html#a85ed9d236b23852363ae30233cd97c72">  181</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d1d/a05370.html#a85ed9d236b23852363ae30233cd97c72">CanBeEnabled</a>()</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d1d/a05370.html#a67ed5b891e7725d893eeb0f3cbd5cbb8">m_CanBeEnabled</a>;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }   </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>};</div>
<div class="ttc" id="aa00001_html_d2/d37/a08354"><div class="ttname"><a href="../../d8/d84/a00001.html#d2/d37/a08354">ExpansionLighthouse</a></div></div>
<div class="ttc" id="aa00023_html_ad9eab3191d8b7cc0f5414602631292b8"><div class="ttname"><a href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00251">expansionbasebuildingsettings.c:251</a></div></div>
<div class="ttc" id="aa00479_html_aa71bdab43a4f31018c0a42b2394f2652"><div class="ttname"><a href="../../d9/d4a/a00479.html#aa71bdab43a4f31018c0a42b2394f2652">m_Light</a></div><div class="ttdeci">ExpansionPropaneTorchLight m_Light</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4a/a00479_source.html#l00038">expansionpropanetorch.c:38</a></div></div>
<div class="ttc" id="aa00752_html_ac819a3ce2982b743e915becd7db4fb9d"><div class="ttname"><a href="../../dd/d5c/a00752.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a></div><div class="ttdeci">static ExpansionClientSettings GetExpansionClientSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5c/a00752_source.html#l01018">expansionclientsettings.c:1018</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04370_html"><div class="ttname"><a href="../../d7/dc9/a04370.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04370_html_ab7af4b282c08a043d2f9626231c59953"><div class="ttname"><a href="../../d7/dc9/a04370.html#ab7af4b282c08a043d2f9626231c59953">EXTrace::Start</a></div><div class="ttdeci">static EXTrace Start(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes 1st line of stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1c/a00824_source.html#l00325">expansiontracing.c:325</a></div></div>
<div class="ttc" id="aa05370_html"><div class="ttname"><a href="../../d8/d1d/a05370.html">House</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d3c/a01490_source.html#l00013">bldr_expansion_airdrop_plane.c:14</a></div></div>
<div class="ttc" id="aa05370_html_a489a89edc611285ac7ff11abff88656a"><div class="ttname"><a href="../../d8/d1d/a05370.html#a489a89edc611285ac7ff11abff88656a">House::OnDisable</a></div><div class="ttdeci">protected void OnDisable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00156">land_lighthouse.c:156</a></div></div>
<div class="ttc" id="aa05370_html_a57884046aacb16d6c89215432c33a50c"><div class="ttname"><a href="../../d8/d1d/a05370.html#a57884046aacb16d6c89215432c33a50c">House::Disable</a></div><div class="ttdeci">void Disable(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00147">land_lighthouse.c:147</a></div></div>
<div class="ttc" id="aa05370_html_a67ed5b891e7725d893eeb0f3cbd5cbb8"><div class="ttname"><a href="../../d8/d1d/a05370.html#a67ed5b891e7725d893eeb0f3cbd5cbb8">House::m_CanBeEnabled</a></div><div class="ttdeci">protected bool m_CanBeEnabled</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00018">land_lighthouse.c:18</a></div></div>
<div class="ttc" id="aa05370_html_a6f6623c49b5808ba4b8566ceeb74672d"><div class="ttname"><a href="../../d8/d1d/a05370.html#a6f6623c49b5808ba4b8566ceeb74672d">House::Enable</a></div><div class="ttdeci">void Enable(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00098">land_lighthouse.c:98</a></div></div>
<div class="ttc" id="aa05370_html_a71f3f9ef3e72b4e50b1e92f0e50260f3"><div class="ttname"><a href="../../d8/d1d/a05370.html#a71f3f9ef3e72b4e50b1e92f0e50260f3">House::~Land_Lighthouse</a></div><div class="ttdeci">void ~Land_Lighthouse()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00038">land_lighthouse.c:38</a></div></div>
<div class="ttc" id="aa05370_html_a76e959f56434e3ce18366e6ec7e0ba35"><div class="ttname"><a href="../../d8/d1d/a05370.html#a76e959f56434e3ce18366e6ec7e0ba35">House::IsEnabled</a></div><div class="ttdeci">bool IsEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00173">land_lighthouse.c:173</a></div></div>
<div class="ttc" id="aa05370_html_a85ed9d236b23852363ae30233cd97c72"><div class="ttname"><a href="../../d8/d1d/a05370.html#a85ed9d236b23852363ae30233cd97c72">House::CanBeEnabled</a></div><div class="ttdeci">bool CanBeEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00181">land_lighthouse.c:181</a></div></div>
<div class="ttc" id="aa05370_html_a89cc2968d74b9abd24c4fb30b2239a0d"><div class="ttname"><a href="../../d8/d1d/a05370.html#a89cc2968d74b9abd24c4fb30b2239a0d">House::Land_Lighthouse</a></div><div class="ttdeci">void Land_Lighthouse()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00025">land_lighthouse.c:25</a></div></div>
<div class="ttc" id="aa05370_html_a8aae03dd3028040665aed574ca279661"><div class="ttname"><a href="../../d8/d1d/a05370.html#a8aae03dd3028040665aed574ca279661">House::m_Light</a></div><div class="ttdeci">protected ScriptedLightBase m_Light</div><div class="ttdoc">Expansion reference to point light class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d41/a01493_source.html#l00018">bldr_expansion_sign_roadbarrier_lighton.c:18</a></div></div>
<div class="ttc" id="aa05370_html_aa90b369b783d0d3272ade20b6eca1b28"><div class="ttname"><a href="../../d8/d1d/a05370.html#aa90b369b783d0d3272ade20b6eca1b28">House::OnSettingsUpdated</a></div><div class="ttdeci">override void OnSettingsUpdated()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00051">land_lighthouse.c:51</a></div></div>
<div class="ttc" id="aa05370_html_aac89f800eebc830a55691baeff791346"><div class="ttname"><a href="../../d8/d1d/a05370.html#aac89f800eebc830a55691baeff791346">House::m_CastShadows</a></div><div class="ttdeci">protected bool m_CastShadows</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00020">land_lighthouse.c:20</a></div></div>
<div class="ttc" id="aa05370_html_ad88caf93f44b81f55276800fb5728cbe"><div class="ttname"><a href="../../d8/d1d/a05370.html#ad88caf93f44b81f55276800fb5728cbe">House::OnEnable</a></div><div class="ttdeci">protected void OnEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00107">land_lighthouse.c:107</a></div></div>
<div class="ttc" id="aa05370_html_ae630235282368d4185ac7f0e80ec4df5"><div class="ttname"><a href="../../d8/d1d/a05370.html#ae630235282368d4185ac7f0e80ec4df5">House::m_ShouldBeEnabled</a></div><div class="ttdeci">protected bool m_ShouldBeEnabled</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00019">land_lighthouse.c:19</a></div></div>
<div class="ttc" id="aa05370_html_af3df8d94fa7a96d3fde6a8bd3ea87908"><div class="ttname"><a href="../../d8/d1d/a05370.html#af3df8d94fa7a96d3fde6a8bd3ea87908">House::GetLampPosition</a></div><div class="ttdeci">vector GetLampPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dea/a02585_source.html#l00090">land_lighthouse.c:90</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_0d13345ef38b852a3bc96310936aad4f.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_ed8ad5a3820938d673574a15993af4db.html">houses</a></li><li class="navelem"><a class="el" href="../../d0/dea/a02585.html">land_lighthouse.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
